#
#Fri Dec 08 15:30:21 EST 2006
ACCENT_TAG=H "Accent tag" STRING "FONT" "Html tag used for accenting (highlighting)"
FILE_SIZE_HIGHLIGHT=H "Highlighting File Size" INTEGER 1000000 2000 1000000 "" "Max file size - highlighting support"
CASCADE=A "Cascade " BOOLEAN T Enabled Disabled "Disabling this option treats all queries as local"
FONT_SIZE_REL=G "Highlighting Font Size" STRING -1 "Increase (+) or decrease (-) size of highlightable term(s) in points"
DOCUMENTS_PORT_HTTP=H "Port - http service" INTEGER 6017 "Port -http service; used for Desktop Edition"
OLD_URL_PREFIX=H "URL prefix - old" STRING file://D|/ODL/T64DOCJAN07 "For desktop edition"
SEARCHERS_MAX_WAIT_MS=H "Searchers - max. wait" INTEGER 5000 2000 10000 "millisecs." "If connections are waiting for more than this amount of time for a searcher, then the number of searchers may be increased"
SEARCHERS_MIN=H "Searchers - min." INTEGER 5 1 10 "" "Minimum number of searchers - Decreasing this number will decrease resource consumption, but performance may be degraded"
TEMP_HTML_URL=H "Dynamic HTML - URL" STRING file:///C|/temp "This is the URL that corresponds to the dynamic HTML directory"
PAGE_ON_DEMAND=M "Page on demand" LIST "None" "None;CGI;Java Viewer & CGI;Java Viewer & Byte Server" "Choose the method to use for page on demand, if available"
CACHE_SIZE=A "Memory Cache Size" INTEGER 2000000 500000 32000000 bytes "Memory cache size used for parsing of documents during indexing"
FONT_FACE=H "Font face" STRING "HELVETICA" "Face of highlightable fonts"
FONT_COLOR=G "Highlighting Font Color" STRING RED "Font Color used for search terms highlighting"
SEARCH_RESULTS_PORT_HTTP=H "Port - http service" INTEGER 6016 "Port - http service; used for Desktop Edition"
PAGE_ON_DEMAND_CGI_PATH=M "Page on demand - CGI path" STRING "cgi-bin/cgweb.cgi" "If CGI is the method for page on demand, then specify the path of the CGI directory"
HIGHLIGHT=G "Search Terms Highlighting" BOOLEAN T Enabled Disabled "When enabled the highlighting is ON"
PDF_PAGING=A "PDF - Indexing by Page " BOOLEAN T Enabled Disabled "Enabling this option will index all pages into single URL's"
CONTENT_LENGTH=A "Max Length of Document Introduction" INTEGER 250 0 1024 bytes "Specifies the maximum length stored as a document summary"
WAKE_UP_MINUTES=A "Temporary HTML results - garbage collector wakeup" INTEGER 30 30 20 min. "Garbage collector wakes up periodically to delete dynamic HTML files"
ADMIN_CONN_TIMEOUT_SECS=H "Admin. connection timeout" INTEGER 60 30 240 "sec." "Connection to the admin. service is broken if no messages are sent to it within this threshold"
LOG_DEBUG=A "Log debug messages" BOOLEAN F Yes No "Log diagnostic messages"
HITS_PER_PAGE=A "Maximum Hits Per Results Page" INTEGER 10 5 20 "" "Hits exceeding this limit are overflowed on to the next page"
CD_PATH=H "CD-ROM Path" STRING /d: "Path of CD-ROM drive; used for Desktop Edition"
CHARACTER_TREE_ALLOCATION_FACTOR=A "Memory allocation reduction factor" INTEGER 62 58 100 "" "Memory allocation reduction factor, if high memory required"
PORT_ADMIN=H "Port - admin. service" INTEGER 6020 1024 9999 "" "Server needs restarting for this change to take effect"
MV_SEARCH_BYTES=F "Part of document for tag search" INTEGER 2000 255 999999 bytes "The parser will examine this amount when scanning a document for user-defined tags"
EXACT_PHRASE_TOKEN_MAX_LENGTH=A "Max Length of tokens in phrases" INTEGER 20 10 20 "" "Maximum length of each token in exact phrase"
SEARCHERS_MIN_WAIT_MS=H "Searchers - min. wait" INTEGER 250 250 1000 "millisecs." "If connections are waiting for less than this amount of time for a searcher, then the number of searchers may be decreased"
PORT_SEARCH=H "Port - search service" INTEGER 6010 1024 9999 "" "Server needs restarting for this change to take effect"
EXPIRY_MINUTES=A "Dynamic HTML file expiration" INTEGER 20 10 1200 "min." "Number of minutes that dynamic HTML files are allowed to remain on the system before being deleted by the garbage collector"
ALTERNATE_SERVLETS=H "Alternate servlets property" BOOLEAN F Enabled Disabled "Enabling this option will send cascaded query as a http request to the alternate servlets"
SEARCHERS_MAX=H "Searchers - max." INTEGER 1 15 100 "" "Maximum number of searchers - Increasing this number will increase resource consumption, but performance may be improved"
NO_RESULT_URL=H "URL of no results HTML file" STRING file:///C|/temp/netresults/temp/noResults.html "When a query produces no results, this URL is returned"
SEARCH_APPLET_CODE_BASE=H "Search applet code base" STRING /nrapplets/search "This URL points to where search applets are installed"
ANCHOR=G "Anchoring" BOOLEAN "T" "Enabled" "Disabled" "When enabled the anchoring of highlighted terms is ON"
NEW_URL_PREFIX=H "URL prefix - new" STRING "http://127.0.0.1:6017" "For desktop edition"
UDMVE_LENGTH=F "Max Length of Meta Tag Content" INTEGER 1000 80 3000 bytes "Specifies the maximum length of each string stored for displaying in a search results"
MAX_SORTED=A "Maximum Hits Sorted" INTEGER 200 10 200 "" "If the number of hits exceed this parameter, then the hits are not sorted"
SEARCH_APPLET_PORT_HTTP=H "Port - http service" INTEGER 6015 "Port - http service; used for Desktop Edition"
LOG_EVENT=A "Log events" BOOLEAN F Yes No "Events are admin. and search messages to the server"
UDMVE_COUNT=F "Meta User-defined tags - count" INTEGER 4 1 10 "" "Controls the number of user-defined tags recognized during parsing"
MAX_PERM_CONNECT=H "Search connections - max. permanent" INTEGER 10 0 100 "" "Search applets are allowed to remain connected after a query if the number of search connections falls below this parameter"
MAX_CONNECT=H "Search connections - max." INTEGER 50 1 100 "" "Search connections are refused if the number of existing connections exceed this parameter"
DOC_ROOT=H "Documents root" STRING "HTML/search" "Document root; used for Desktop Edition"
FIELDS_ARE_CONTENT=F "Include Fields" BOOLEAN F Enabled Disabled "When enabled, words found in Meta Tag fields will also be indexed as document body content"
EXACT_PHRASE_DOCUMENT_TOKEN_LIMIT=A "Max number of tokens in document" INTEGER 130000 10000 250000 "" "Maximum number of tokens to scan for exact phrases"
PAGE_ON_DEMAND_SERVLET_PORT=M "Page on demand - servlet port" INTEGER 7010 1024 9999 "" "This is the port to the servlet when Java Viewer is used"
TEMP_HTML_DIR=H "Dynamic HTML - directory" STRING C:/temp "Dynamic HTML files are stored in this directory"
